诸暨麻将添加redis
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

771 lines
24 KiB

  1. # Makefile.in generated by automake 1.13.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #***************************************************************************
  13. # _ _ ____ _
  14. # Project ___| | | | _ \| |
  15. # / __| | | | |_) | |
  16. # | (__| |_| | _ <| |___
  17. # \___|\___/|_| \_\_____|
  18. #
  19. # Copyright (C) 1998 - 2013, Daniel Stenberg, <daniel@haxx.se>, et al.
  20. #
  21. # This software is licensed as described in the file COPYING, which
  22. # you should have received as part of this distribution. The terms
  23. # are also available at http://curl.haxx.se/docs/copyright.html.
  24. #
  25. # You may opt to use, copy, modify, merge, publish, distribute and/or sell
  26. # copies of the Software, and permit persons to whom the Software is
  27. # furnished to do so, under the terms of the COPYING file.
  28. #
  29. # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
  30. # KIND, either express or implied.
  31. #
  32. ###########################################################################
  33. VPATH = @srcdir@
  34. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  35. am__make_running_with_option = \
  36. case $${target_option-} in \
  37. ?) ;; \
  38. *) echo "am__make_running_with_option: internal error: invalid" \
  39. "target option '$${target_option-}' specified" >&2; \
  40. exit 1;; \
  41. esac; \
  42. has_opt=no; \
  43. sane_makeflags=$$MAKEFLAGS; \
  44. if $(am__is_gnu_make); then \
  45. sane_makeflags=$$MFLAGS; \
  46. else \
  47. case $$MAKEFLAGS in \
  48. *\\[\ \ ]*) \
  49. bs=\\; \
  50. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  51. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  52. esac; \
  53. fi; \
  54. skip_next=no; \
  55. strip_trailopt () \
  56. { \
  57. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  58. }; \
  59. for flg in $$sane_makeflags; do \
  60. test $$skip_next = yes && { skip_next=no; continue; }; \
  61. case $$flg in \
  62. *=*|--*) continue;; \
  63. -*I) strip_trailopt 'I'; skip_next=yes;; \
  64. -*I?*) strip_trailopt 'I';; \
  65. -*O) strip_trailopt 'O'; skip_next=yes;; \
  66. -*O?*) strip_trailopt 'O';; \
  67. -*l) strip_trailopt 'l'; skip_next=yes;; \
  68. -*l?*) strip_trailopt 'l';; \
  69. -[dEDm]) skip_next=yes;; \
  70. -[JT]) skip_next=yes;; \
  71. esac; \
  72. case $$flg in \
  73. *$$target_option*) has_opt=yes; break;; \
  74. esac; \
  75. done; \
  76. test $$has_opt = yes
  77. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  78. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  79. pkgdatadir = $(datadir)/@PACKAGE@
  80. pkgincludedir = $(includedir)/@PACKAGE@
  81. pkglibdir = $(libdir)/@PACKAGE@
  82. pkglibexecdir = $(libexecdir)/@PACKAGE@
  83. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  84. install_sh_DATA = $(install_sh) -c -m 644
  85. install_sh_PROGRAM = $(install_sh) -c
  86. install_sh_SCRIPT = $(install_sh) -c
  87. INSTALL_HEADER = $(INSTALL_DATA)
  88. transform = $(program_transform_name)
  89. NORMAL_INSTALL = :
  90. PRE_INSTALL = :
  91. POST_INSTALL = :
  92. NORMAL_UNINSTALL = :
  93. PRE_UNINSTALL = :
  94. POST_UNINSTALL = :
  95. build_triplet = @build@
  96. host_triplet = @host@
  97. subdir = tests
  98. DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  99. $(top_srcdir)/mkinstalldirs README
  100. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  101. am__aclocal_m4_deps = $(top_srcdir)/m4/curl-compilers.m4 \
  102. $(top_srcdir)/m4/curl-confopts.m4 \
  103. $(top_srcdir)/m4/curl-functions.m4 \
  104. $(top_srcdir)/m4/curl-openssl.m4 \
  105. $(top_srcdir)/m4/curl-override.m4 \
  106. $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
  107. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  108. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  109. $(top_srcdir)/m4/xc-am-iface.m4 \
  110. $(top_srcdir)/m4/xc-cc-check.m4 \
  111. $(top_srcdir)/m4/xc-lt-iface.m4 \
  112. $(top_srcdir)/m4/xc-translit.m4 \
  113. $(top_srcdir)/m4/xc-val-flgs.m4 \
  114. $(top_srcdir)/m4/zz40-xc-ovr.m4 \
  115. $(top_srcdir)/m4/zz50-xc-ovr.m4 \
  116. $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
  117. $(top_srcdir)/configure.ac
  118. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  119. $(ACLOCAL_M4)
  120. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  121. CONFIG_HEADER = $(top_builddir)/lib/curl_config.h \
  122. $(top_builddir)/include/curl/curlbuild.h
  123. CONFIG_CLEAN_FILES =
  124. CONFIG_CLEAN_VPATH_FILES =
  125. AM_V_P = $(am__v_P_@AM_V@)
  126. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  127. am__v_P_0 = false
  128. am__v_P_1 = :
  129. AM_V_GEN = $(am__v_GEN_@AM_V@)
  130. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  131. am__v_GEN_0 = @echo " GEN " $@;
  132. am__v_GEN_1 =
  133. AM_V_at = $(am__v_at_@AM_V@)
  134. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  135. am__v_at_0 = @
  136. am__v_at_1 =
  137. SOURCES =
  138. DIST_SOURCES =
  139. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  140. ctags-recursive dvi-recursive html-recursive info-recursive \
  141. install-data-recursive install-dvi-recursive \
  142. install-exec-recursive install-html-recursive \
  143. install-info-recursive install-pdf-recursive \
  144. install-ps-recursive install-recursive installcheck-recursive \
  145. installdirs-recursive pdf-recursive ps-recursive \
  146. tags-recursive uninstall-recursive
  147. am__can_run_installinfo = \
  148. case $$AM_UPDATE_INFO_DIR in \
  149. n|no|NO) false;; \
  150. *) (install-info --version) >/dev/null 2>&1;; \
  151. esac
  152. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  153. distclean-recursive maintainer-clean-recursive
  154. am__recursive_targets = \
  155. $(RECURSIVE_TARGETS) \
  156. $(RECURSIVE_CLEAN_TARGETS) \
  157. $(am__extra_recursive_targets)
  158. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  159. distdir
  160. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  161. # Read a list of newline-separated strings from the standard input,
  162. # and print each of them once, without duplicates. Input order is
  163. # *not* preserved.
  164. am__uniquify_input = $(AWK) '\
  165. BEGIN { nonempty = 0; } \
  166. { items[$$0] = 1; nonempty = 1; } \
  167. END { if (nonempty) { for (i in items) print i; }; } \
  168. '
  169. # Make sure the list of sources is unique. This is necessary because,
  170. # e.g., the same source file might be shared among _SOURCES variables
  171. # for different programs/libraries.
  172. am__define_uniq_tagged_files = \
  173. list='$(am__tagged_files)'; \
  174. unique=`for i in $$list; do \
  175. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  176. done | $(am__uniquify_input)`
  177. ETAGS = etags
  178. CTAGS = ctags
  179. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  180. am__relativize = \
  181. dir0=`pwd`; \
  182. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  183. sed_rest='s,^[^/]*/*,,'; \
  184. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  185. sed_butlast='s,/*[^/]*$$,,'; \
  186. while test -n "$$dir1"; do \
  187. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  188. if test "$$first" != "."; then \
  189. if test "$$first" = ".."; then \
  190. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  191. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  192. else \
  193. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  194. if test "$$first2" = "$$first"; then \
  195. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  196. else \
  197. dir2="../$$dir2"; \
  198. fi; \
  199. dir0="$$dir0"/"$$first"; \
  200. fi; \
  201. fi; \
  202. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  203. done; \
  204. reldir="$$dir2"
  205. ACLOCAL = @ACLOCAL@
  206. AMTAR = @AMTAR@
  207. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  208. AR = @AR@
  209. AS = @AS@
  210. AUTOCONF = @AUTOCONF@
  211. AUTOHEADER = @AUTOHEADER@
  212. AUTOMAKE = @AUTOMAKE@
  213. AWK = @AWK@
  214. BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
  215. CC = @CC@
  216. CCDEPMODE = @CCDEPMODE@
  217. CFLAGS = @CFLAGS@
  218. CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
  219. CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
  220. CPP = @CPP@
  221. CPPFLAGS = @CPPFLAGS@
  222. CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
  223. CURLVERSION = @CURLVERSION@
  224. CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
  225. CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
  226. CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
  227. CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
  228. CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
  229. CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
  230. CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
  231. CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
  232. CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
  233. CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
  234. CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
  235. CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
  236. CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
  237. CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
  238. CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
  239. CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
  240. CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
  241. CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
  242. CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
  243. CYGPATH_W = @CYGPATH_W@
  244. DEFS = @DEFS@
  245. DEPDIR = @DEPDIR@
  246. DLLTOOL = @DLLTOOL@
  247. DSYMUTIL = @DSYMUTIL@
  248. DUMPBIN = @DUMPBIN@
  249. ECHO_C = @ECHO_C@
  250. ECHO_N = @ECHO_N@
  251. ECHO_T = @ECHO_T@
  252. EGREP = @EGREP@
  253. ENABLE_SHARED = @ENABLE_SHARED@
  254. ENABLE_STATIC = @ENABLE_STATIC@
  255. EXEEXT = @EXEEXT@
  256. FGREP = @FGREP@
  257. GREP = @GREP@
  258. HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
  259. HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
  260. HAVE_LIBZ = @HAVE_LIBZ@
  261. HAVE_NSS_INITCONTEXT = @HAVE_NSS_INITCONTEXT@
  262. HAVE_SSLEAY_SRP = @HAVE_SSLEAY_SRP@
  263. IDN_ENABLED = @IDN_ENABLED@
  264. INSTALL = @INSTALL@
  265. INSTALL_DATA = @INSTALL_DATA@
  266. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  267. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  268. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  269. IPV6_ENABLED = @IPV6_ENABLED@
  270. KRB4_ENABLED = @KRB4_ENABLED@
  271. LD = @LD@
  272. LDFLAGS = @LDFLAGS@
  273. LIBCURL_LIBS = @LIBCURL_LIBS@
  274. LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
  275. LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
  276. LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
  277. LIBOBJS = @LIBOBJS@
  278. LIBS = @LIBS@
  279. LIBTOOL = @LIBTOOL@
  280. LIPO = @LIPO@
  281. LN_S = @LN_S@
  282. LTLIBOBJS = @LTLIBOBJS@
  283. MAINT = @MAINT@
  284. MAKEINFO = @MAKEINFO@
  285. MANIFEST_TOOL = @MANIFEST_TOOL@
  286. MANOPT = @MANOPT@
  287. MKDIR_P = @MKDIR_P@
  288. NM = @NM@
  289. NMEDIT = @NMEDIT@
  290. NROFF = @NROFF@
  291. OBJDUMP = @OBJDUMP@
  292. OBJEXT = @OBJEXT@
  293. OTOOL = @OTOOL@
  294. OTOOL64 = @OTOOL64@
  295. PACKAGE = @PACKAGE@
  296. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  297. PACKAGE_NAME = @PACKAGE_NAME@
  298. PACKAGE_STRING = @PACKAGE_STRING@
  299. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  300. PACKAGE_URL = @PACKAGE_URL@
  301. PACKAGE_VERSION = @PACKAGE_VERSION@
  302. PATH_SEPARATOR = @PATH_SEPARATOR@
  303. PERL = @PERL@
  304. PKGADD_NAME = @PKGADD_NAME@
  305. PKGADD_PKG = @PKGADD_PKG@
  306. PKGADD_VENDOR = @PKGADD_VENDOR@
  307. PKGCONFIG = @PKGCONFIG@
  308. RANDOM_FILE = @RANDOM_FILE@
  309. RANLIB = @RANLIB@
  310. REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
  311. SED = @SED@
  312. SET_MAKE = @SET_MAKE@
  313. SHELL = @SHELL@
  314. SSL_ENABLED = @SSL_ENABLED@
  315. STRIP = @STRIP@
  316. SUPPORT_FEATURES = @SUPPORT_FEATURES@
  317. SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
  318. USE_ARES = @USE_ARES@
  319. USE_AXTLS = @USE_AXTLS@
  320. USE_CYASSL = @USE_CYASSL@
  321. USE_DARWINSSL = @USE_DARWINSSL@
  322. USE_GNUTLS = @USE_GNUTLS@
  323. USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
  324. USE_LIBRTMP = @USE_LIBRTMP@
  325. USE_LIBSSH2 = @USE_LIBSSH2@
  326. USE_NSS = @USE_NSS@
  327. USE_OPENLDAP = @USE_OPENLDAP@
  328. USE_POLARSSL = @USE_POLARSSL@
  329. USE_SCHANNEL = @USE_SCHANNEL@
  330. USE_SSLEAY = @USE_SSLEAY@
  331. USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
  332. VERSION = @VERSION@
  333. VERSIONNUM = @VERSIONNUM@
  334. ZLIB_LIBS = @ZLIB_LIBS@
  335. abs_builddir = @abs_builddir@
  336. abs_srcdir = @abs_srcdir@
  337. abs_top_builddir = @abs_top_builddir@
  338. abs_top_srcdir = @abs_top_srcdir@
  339. ac_ct_AR = @ac_ct_AR@
  340. ac_ct_CC = @ac_ct_CC@
  341. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  342. am__include = @am__include@
  343. am__leading_dot = @am__leading_dot@
  344. am__quote = @am__quote@
  345. am__tar = @am__tar@
  346. am__untar = @am__untar@
  347. bindir = @bindir@
  348. build = @build@
  349. build_alias = @build_alias@
  350. build_cpu = @build_cpu@
  351. build_os = @build_os@
  352. build_vendor = @build_vendor@
  353. builddir = @builddir@
  354. datadir = @datadir@
  355. datarootdir = @datarootdir@
  356. docdir = @docdir@
  357. dvidir = @dvidir@
  358. exec_prefix = @exec_prefix@
  359. host = @host@
  360. host_alias = @host_alias@
  361. host_cpu = @host_cpu@
  362. host_os = @host_os@
  363. host_vendor = @host_vendor@
  364. htmldir = @htmldir@
  365. includedir = @includedir@
  366. infodir = @infodir@
  367. install_sh = @install_sh@
  368. libdir = @libdir@
  369. libexecdir = @libexecdir@
  370. libext = @libext@
  371. localedir = @localedir@
  372. localstatedir = @localstatedir@
  373. mandir = @mandir@
  374. mkdir_p = @mkdir_p@
  375. oldincludedir = @oldincludedir@
  376. pdfdir = @pdfdir@
  377. prefix = @prefix@
  378. program_transform_name = @program_transform_name@
  379. psdir = @psdir@
  380. sbindir = @sbindir@
  381. sharedstatedir = @sharedstatedir@
  382. srcdir = @srcdir@
  383. subdirs = @subdirs@
  384. sysconfdir = @sysconfdir@
  385. target_alias = @target_alias@
  386. top_build_prefix = @top_build_prefix@
  387. top_builddir = @top_builddir@
  388. top_srcdir = @top_srcdir@
  389. HTMLPAGES = testcurl.html runtests.html
  390. PDFPAGES = testcurl.pdf runtests.pdf
  391. EXTRA_DIST = ftpserver.pl httpserver.pl secureserver.pl runtests.pl getpart.pm \
  392. FILEFORMAT README stunnel.pem memanalyze.pl testcurl.pl valgrind.pm ftp.pm \
  393. sshserver.pl sshhelp.pm testcurl.1 runtests.1 $(HTMLPAGES) $(PDFPAGES) \
  394. serverhelp.pm tftpserver.pl rtspserver.pl directories.pm symbol-scan.pl \
  395. CMakeLists.txt mem-include-scan.pl valgrind.supp http_pipe.py
  396. DISTCLEANFILES = configurehelp.pm
  397. @BUILD_UNITTESTS_FALSE@BUILD_UNIT =
  398. # we have two variables here to make sure DIST_SUBDIRS won't get 'unit'
  399. # added twice as then targets such as 'distclean' misbehave and try to
  400. # do things twice in that subdir at times (and thus fails).
  401. @BUILD_UNITTESTS_TRUE@BUILD_UNIT = unit
  402. @BUILD_UNITTESTS_FALSE@DIST_UNIT = unit
  403. @BUILD_UNITTESTS_TRUE@DIST_UNIT =
  404. SUBDIRS = certs data server libtest $(BUILD_UNIT)
  405. DIST_SUBDIRS = $(SUBDIRS) $(DIST_UNIT)
  406. PERLFLAGS = -I$(srcdir)
  407. CLEANFILES = .http.pid .https.pid .ftp.pid .ftps.pid
  408. MAN2HTML = roffit < $< >$@
  409. @CROSSCOMPILING_FALSE@TEST = srcdir=$(srcdir) $(PERL) $(PERLFLAGS) $(srcdir)/runtests.pl
  410. @CROSSCOMPILING_TRUE@TEST = @echo "NOTICE: we can't run the tests when cross-compiling!"
  411. @CROSSCOMPILING_FALSE@TEST_Q = -a -s
  412. @CROSSCOMPILING_FALSE@TEST_AM = -a -am
  413. @CROSSCOMPILING_FALSE@TEST_F = -a -p -r
  414. @CROSSCOMPILING_FALSE@TEST_T = -a -t
  415. all: all-recursive
  416. .SUFFIXES:
  417. .SUFFIXES: .1 .html .pdf
  418. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
  419. @for dep in $?; do \
  420. case '$(am__configure_deps)' in \
  421. *$$dep*) \
  422. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  423. && { if test -f $@; then exit 0; else break; fi; }; \
  424. exit 1;; \
  425. esac; \
  426. done; \
  427. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
  428. $(am__cd) $(top_srcdir) && \
  429. $(AUTOMAKE) --foreign tests/Makefile
  430. .PRECIOUS: Makefile
  431. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  432. @case '$?' in \
  433. *config.status*) \
  434. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  435. *) \
  436. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  437. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  438. esac;
  439. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  440. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  441. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  442. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  443. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  444. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  445. $(am__aclocal_m4_deps):
  446. mostlyclean-libtool:
  447. -rm -f *.lo
  448. clean-libtool:
  449. -rm -rf .libs _libs
  450. # This directory's subdirectories are mostly independent; you can cd
  451. # into them and run 'make' without going through this Makefile.
  452. # To change the values of 'make' variables: instead of editing Makefiles,
  453. # (1) if the variable is set in 'config.status', edit 'config.status'
  454. # (which will cause the Makefiles to be regenerated when you run 'make');
  455. # (2) otherwise, pass the desired values on the 'make' command line.
  456. $(am__recursive_targets):
  457. @fail=; \
  458. if $(am__make_keepgoing); then \
  459. failcom='fail=yes'; \
  460. else \
  461. failcom='exit 1'; \
  462. fi; \
  463. dot_seen=no; \
  464. target=`echo $@ | sed s/-recursive//`; \
  465. case "$@" in \
  466. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  467. *) list='$(SUBDIRS)' ;; \
  468. esac; \
  469. for subdir in $$list; do \
  470. echo "Making $$target in $$subdir"; \
  471. if test "$$subdir" = "."; then \
  472. dot_seen=yes; \
  473. local_target="$$target-am"; \
  474. else \
  475. local_target="$$target"; \
  476. fi; \
  477. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  478. || eval $$failcom; \
  479. done; \
  480. if test "$$dot_seen" = "no"; then \
  481. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  482. fi; test -z "$$fail"
  483. ID: $(am__tagged_files)
  484. $(am__define_uniq_tagged_files); mkid -fID $$unique
  485. tags: tags-recursive
  486. TAGS: tags
  487. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  488. set x; \
  489. here=`pwd`; \
  490. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  491. include_option=--etags-include; \
  492. empty_fix=.; \
  493. else \
  494. include_option=--include; \
  495. empty_fix=; \
  496. fi; \
  497. list='$(SUBDIRS)'; for subdir in $$list; do \
  498. if test "$$subdir" = .; then :; else \
  499. test ! -f $$subdir/TAGS || \
  500. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  501. fi; \
  502. done; \
  503. $(am__define_uniq_tagged_files); \
  504. shift; \
  505. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  506. test -n "$$unique" || unique=$$empty_fix; \
  507. if test $$# -gt 0; then \
  508. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  509. "$$@" $$unique; \
  510. else \
  511. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  512. $$unique; \
  513. fi; \
  514. fi
  515. ctags: ctags-recursive
  516. CTAGS: ctags
  517. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  518. $(am__define_uniq_tagged_files); \
  519. test -z "$(CTAGS_ARGS)$$unique" \
  520. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  521. $$unique
  522. GTAGS:
  523. here=`$(am__cd) $(top_builddir) && pwd` \
  524. && $(am__cd) $(top_srcdir) \
  525. && gtags -i $(GTAGS_ARGS) "$$here"
  526. cscopelist: cscopelist-recursive
  527. cscopelist-am: $(am__tagged_files)
  528. list='$(am__tagged_files)'; \
  529. case "$(srcdir)" in \
  530. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  531. *) sdir=$(subdir)/$(srcdir) ;; \
  532. esac; \
  533. for i in $$list; do \
  534. if test -f "$$i"; then \
  535. echo "$(subdir)/$$i"; \
  536. else \
  537. echo "$$sdir/$$i"; \
  538. fi; \
  539. done >> $(top_builddir)/cscope.files
  540. distclean-tags:
  541. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  542. distdir: $(DISTFILES)
  543. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  544. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  545. list='$(DISTFILES)'; \
  546. dist_files=`for file in $$list; do echo $$file; done | \
  547. sed -e "s|^$$srcdirstrip/||;t" \
  548. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  549. case $$dist_files in \
  550. */*) $(MKDIR_P) `echo "$$dist_files" | \
  551. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  552. sort -u` ;; \
  553. esac; \
  554. for file in $$dist_files; do \
  555. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  556. if test -d $$d/$$file; then \
  557. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  558. if test -d "$(distdir)/$$file"; then \
  559. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  560. fi; \
  561. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  562. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  563. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  564. fi; \
  565. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  566. else \
  567. test -f "$(distdir)/$$file" \
  568. || cp -p $$d/$$file "$(distdir)/$$file" \
  569. || exit 1; \
  570. fi; \
  571. done
  572. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  573. if test "$$subdir" = .; then :; else \
  574. $(am__make_dryrun) \
  575. || test -d "$(distdir)/$$subdir" \
  576. || $(MKDIR_P) "$(distdir)/$$subdir" \
  577. || exit 1; \
  578. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  579. $(am__relativize); \
  580. new_distdir=$$reldir; \
  581. dir1=$$subdir; dir2="$(top_distdir)"; \
  582. $(am__relativize); \
  583. new_top_distdir=$$reldir; \
  584. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  585. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  586. ($(am__cd) $$subdir && \
  587. $(MAKE) $(AM_MAKEFLAGS) \
  588. top_distdir="$$new_top_distdir" \
  589. distdir="$$new_distdir" \
  590. am__remove_distdir=: \
  591. am__skip_length_check=: \
  592. am__skip_mode_fix=: \
  593. distdir) \
  594. || exit 1; \
  595. fi; \
  596. done
  597. check-am: all-am
  598. check: check-recursive
  599. all-am: Makefile
  600. installdirs: installdirs-recursive
  601. installdirs-am:
  602. install: install-recursive
  603. install-exec: install-exec-recursive
  604. install-data: install-data-recursive
  605. uninstall: uninstall-recursive
  606. install-am: all-am
  607. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  608. installcheck: installcheck-recursive
  609. install-strip:
  610. if test -z '$(STRIP)'; then \
  611. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  612. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  613. install; \
  614. else \
  615. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  616. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  617. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  618. fi
  619. mostlyclean-generic:
  620. clean-generic:
  621. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  622. distclean-generic:
  623. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  624. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  625. -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
  626. maintainer-clean-generic:
  627. @echo "This command is intended for maintainers to use"
  628. @echo "it deletes files that may require special tools to rebuild."
  629. clean: clean-recursive
  630. clean-am: clean-generic clean-libtool mostlyclean-am
  631. distclean: distclean-recursive
  632. -rm -f Makefile
  633. distclean-am: clean-am distclean-generic distclean-tags
  634. dvi: dvi-recursive
  635. dvi-am:
  636. html: html-recursive
  637. html-am:
  638. info: info-recursive
  639. info-am:
  640. install-data-am:
  641. install-dvi: install-dvi-recursive
  642. install-dvi-am:
  643. install-exec-am:
  644. install-html: install-html-recursive
  645. install-html-am:
  646. install-info: install-info-recursive
  647. install-info-am:
  648. install-man:
  649. install-pdf: install-pdf-recursive
  650. install-pdf-am:
  651. install-ps: install-ps-recursive
  652. install-ps-am:
  653. installcheck-am:
  654. maintainer-clean: maintainer-clean-recursive
  655. -rm -f Makefile
  656. maintainer-clean-am: distclean-am maintainer-clean-generic
  657. mostlyclean: mostlyclean-recursive
  658. mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  659. pdf: pdf-recursive
  660. pdf-am:
  661. ps: ps-recursive
  662. ps-am:
  663. uninstall-am:
  664. .MAKE: $(am__recursive_targets) install-am install-strip
  665. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
  666. check-am clean clean-generic clean-libtool cscopelist-am ctags \
  667. ctags-am distclean distclean-generic distclean-libtool \
  668. distclean-tags distdir dvi dvi-am html html-am info info-am \
  669. install install-am install-data install-data-am install-dvi \
  670. install-dvi-am install-exec install-exec-am install-html \
  671. install-html-am install-info install-info-am install-man \
  672. install-pdf install-pdf-am install-ps install-ps-am \
  673. install-strip installcheck installcheck-am installdirs \
  674. installdirs-am maintainer-clean maintainer-clean-generic \
  675. mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
  676. ps ps-am tags tags-am uninstall uninstall-am
  677. curl:
  678. @cd $(top_builddir) && $(MAKE)
  679. # make sure that PERL is pointing to an executable
  680. perlcheck:
  681. @if ! test -x "$(PERL)"; then echo "No perl!"; exit 2; fi
  682. test: perlcheck all
  683. $(TEST)
  684. quiet-test: perlcheck all
  685. $(TEST) $(TEST_Q)
  686. am-test: perlcheck all
  687. $(TEST) $(TEST_AM)
  688. full-test: perlcheck all
  689. $(TEST) $(TEST_F)
  690. torture-test: perlcheck all
  691. $(TEST) $(TEST_T)
  692. .1.html:
  693. $(MAN2HTML)
  694. .1.pdf:
  695. @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
  696. groff -Tps -man $< >$$foo.ps; \
  697. ps2pdf $$foo.ps $@; \
  698. rm $$foo.ps; \
  699. echo "converted $< to $@")
  700. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  701. # Otherwise a system limit (for SysV at least) may be exceeded.
  702. .NOEXPORT: